Bug 240333 - (perl-SQL-Translator) Review Request: perl-SQL-Translator - Manipulate structured data definitions (SQL and more)
Review Request: perl-SQL-Translator - Manipulate structured data definitions ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
http://search.cpan.org/dist/SQL-Trans...
:
Depends On: 240177 perl-Class-Base
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-16 12:09 EDT by Chris Weyl
Modified: 2010-09-02 17:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-24 12:37:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2007-05-16 12:09:49 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-SQL-Translator-0.08-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-SQL-Translator.spec

Description:
This documentation covers the API for SQL::Translator. For a more general
discussion of how to use the modules and scripts, please see
SQL::Translator::Manual.
Comment 1 Jason Tibbitts 2007-06-10 01:32:04 EDT
Hmm, not building for me (rawhide, x86_64) due to missing dependencies:

No Package Found for perl(Text::RecordParser) >= 0.02
No Package Found for perl(Spreadsheet::ParseExcel) >= 0.2602

Shouldn't the former be in rawhide by now?  (My mirror is up to date.)
The latter, I've no idea, because it's certainly there
(perl-Spreadsheet-ParseExcel-0:0.3200-1.fc8.i386).  If I remove the '>= 0.2602"
bit it finds it.  I'm at a loss.
Comment 2 Chris Weyl 2007-06-12 11:55:36 EDT
I'd certainly think it'd be in rawhide....  Odd.  Very odd.

I'll look into this also -- but have been super busy last week and this one, so
it might be a couple days.
Comment 3 Jason Tibbitts 2007-06-18 15:12:19 EDT
I see no record of perl-Text-RecordParser being built for rawhide, just F7.  I
can build it if you've no time.  I'm still completely confused by the ParseExcel
thing, though.
Comment 4 Jose Pedro Oliveira 2007-06-18 15:48:10 EDT
(In reply to comment #3)
> I see no record of perl-Text-RecordParser being built for rawhide, just F7.  I
> can build it if you've no time.  I'm still completely confused by the ParseExcel
> thing, though.

I believe this caused by not following the upstream version number:

   upstream   : Spreadsheet-ParseExcel-0.32
   RPM package: perl-Spreadsheet-ParseExcel-0.3200

Look at the provides list

  $ rpm -qp --provides perl-Spreadsheet-ParseExcel-0.3200-1.fc8.i386.rpm 
  perl(Spreadsheet::ParseExcel) = 0.32
  ...
  perl-Spreadsheet-ParseExcel = 0.3200-1.fc8


It provides "perl(Spreadsheet::ParseExcel) = 0.32" and not
"perl(Spreadsheet::ParseExcel) = 0.3200".  And 0.32 is less than 0.2622.

PS - There several perl packages that have started changing the upstream version
in order to avoid bumping the epoch.

jpo
Comment 5 Jason Tibbitts 2007-06-27 23:27:37 EDT
Since we know the source of all of the issues now, any chance this could move
forward?
Comment 6 Jason Tibbitts 2007-07-13 15:09:01 EDT
I'm going to go ahead and close this out soon if there is no response.  There
are also several other open tickets from the same submitter; I'll start setting
them NEEDINFO and (later) closing them out if Chris doesn't give some indication
that he's still around.
Comment 7 Jason Tibbitts 2007-07-29 14:09:34 EDT
I was something from Chris in another ticket, so:
One final ping before I close this.
Comment 8 Jason Tibbitts 2007-09-05 20:33:54 EDT
Chris, I know you've been around recently; did you still want to submit this?
Comment 9 Chris Weyl 2007-10-14 16:47:23 EDT
Yes, and updated.

* Sun Oct 14 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.08001-1
- updated to 0.08001
- update license tag
- nix errant perl(Producer::BaseTest) provides
- make description useful :)
- we now skip Template::Toolkit tests correctly, so stop disabling them

http://fedora.biggerontheinside.net/review/perl-SQL-Translator-0.08001-1.fc7.src.rpm
http://fedora.biggerontheinside.net/review/perl-SQL-Translator.spec
Comment 10 Jason Tibbitts 2007-10-23 16:31:02 EDT
OK, builds fine for me now; rpmlint is quiet and I don't see anything worth
complaining about.

* source files match upstream:
   48e5e4483e2847a563f02ec1d1f148e72c327bc623c5b59da41cada9590adc09  
   SQL-Translator-0.08001.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper (and there's a bunch of them)
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane.  See end for list.
* %check is present and all tests pass:
   All tests successful, 2 tests skipped.
   Files=43, Tests=1284, 66 wallclock secs (62.53 cusr +  2.89 csys = 65.42 CPU)
  The two skipped tests are:
   t/18ttschema-producer......skipped
     all skipped: Template v2.15 is is incompatible with SQL::Translator 0.08+
   t/33tt-table-producer......skipped
     all skipped: Template v2.15+ is incompatible with SQL::Translator 0.08+

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED

Here's the full dependency list:
   perl(Parse::RecDescent::SQL::Translator::Parser::DB2::Grammar)
   perl(SQL::Translator) = 0.08001
   perl(SQL::Translator::Diff)
   perl(SQL::Translator::Filter::DefaultExtra)
   perl(SQL::Translator::Filter::Globals)
   perl(SQL::Translator::Filter::Names)
   perl(SQL::Translator::Parser) = 1.9
   perl(SQL::Translator::Parser::Access) = 1.3
   perl(SQL::Translator::Parser::DB2)
   perl(SQL::Translator::Parser::DB2::Grammar)
   perl(SQL::Translator::Parser::DBI) = 1.10
   perl(SQL::Translator::Parser::DBI::DB2)
   perl(SQL::Translator::Parser::DBI::MySQL) = 1.6
   perl(SQL::Translator::Parser::DBI::Oracle) = 1.2
   perl(SQL::Translator::Parser::DBI::PostgreSQL) = 1.10
   perl(SQL::Translator::Parser::DBI::SQLServer) = 1.6
   perl(SQL::Translator::Parser::DBI::SQLite) = 1.5
   perl(SQL::Translator::Parser::DBI::Sybase) = 1.6
   perl(SQL::Translator::Parser::Excel) = 1.14
   perl(SQL::Translator::Parser::MySQL) = 1.58
   perl(SQL::Translator::Parser::Oracle) = 1.29
   perl(SQL::Translator::Parser::PostgreSQL) = 1.48
   perl(SQL::Translator::Parser::SQLServer) = 1.6
   perl(SQL::Translator::Parser::SQLite) = 1.12
   perl(SQL::Translator::Parser::Storable) = 1.5
   perl(SQL::Translator::Parser::Sybase) = 1.10
   perl(SQL::Translator::Parser::XML) = 1.2
   perl(SQL::Translator::Parser::XML::SQLFairy) = 1.15
   perl(SQL::Translator::Parser::YAML) = 1.8
   perl(SQL::Translator::Parser::xSV) = 1.16
   perl(SQL::Translator::Producer) = 1.8
   perl(SQL::Translator::Producer::DB2) = 1.5
   perl(SQL::Translator::Producer::DiaUml) = 1.2
   perl(SQL::Translator::Producer::Diagram) = 1.13
   perl(SQL::Translator::Producer::Dumper) = 1.9
   perl(SQL::Translator::Producer::GraphViz) = 1.14
   perl(SQL::Translator::Producer::HTML) = 1.15
   perl(SQL::Translator::Producer::Latex) = 1.1
   perl(SQL::Translator::Producer::MySQL) = 1.52
   perl(SQL::Translator::Producer::Oracle) = 1.34
   perl(SQL::Translator::Producer::POD) = 1.5
   perl(SQL::Translator::Producer::PostgreSQL) = 1.29
   perl(SQL::Translator::Producer::SQLServer) = 1.7
   perl(SQL::Translator::Producer::SQLite) = 1.15
   perl(SQL::Translator::Producer::Storable) = 1.5
   perl(SQL::Translator::Producer::Sybase) = 1.9
   perl(SQL::Translator::Producer::TT::Base) = 1.6
   perl(SQL::Translator::Producer::TT::Table) = 1.3
   perl(SQL::Translator::Producer::TTSchema) = 1.11
   perl(SQL::Translator::Producer::XML) = 1.16
   perl(SQL::Translator::Producer::XML::SQLFairy) = 1.20
   perl(SQL::Translator::Producer::YAML) = 1.12
   perl(SQL::Translator::Schema) = 1.26
   perl(SQL::Translator::Schema::Constants) = 1.43
   perl(SQL::Translator::Schema::Constraint) = 1.21
   perl(SQL::Translator::Schema::Field) = 1.26
   perl(SQL::Translator::Schema::Graph)
   perl(SQL::Translator::Schema::Graph::CompoundEdge)
   perl(SQL::Translator::Schema::Graph::Edge)
   perl(SQL::Translator::Schema::Graph::HyperEdge)
   perl(SQL::Translator::Schema::Graph::Node)
   perl(SQL::Translator::Schema::Graph::Port)
   perl(SQL::Translator::Schema::Index) = 1.17
   perl(SQL::Translator::Schema::Object) = 1.8
   perl(SQL::Translator::Schema::Procedure) = 1.8
   perl(SQL::Translator::Schema::Table) = 1.36
   perl(SQL::Translator::Schema::Trigger) = 1.9
   perl(SQL::Translator::Schema::View) = 1.14
   perl(SQL::Translator::Shell)
   perl(SQL::Translator::Utils) = 1.12
   perl(Test::SQL::Translator) = 1.8
   perl-SQL-Translator = 0.08001-1.fc8
  =
   /usr/bin/perl
   perl >= 0:5.004
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(Class::Base)
   perl(Class::MakeMethods::Template::Hash)
   perl(Class::MakeMethods::Utility::Ref)
   perl(Config)
   perl(Cwd)
   perl(DBI)
   perl(Data::Dumper)
   perl(Exporter)
   perl(File::Basename)
   perl(File::Find)
   perl(File::Path)
   perl(File::Spec::Functions)
   perl(File::Temp)
   perl(GD)
   perl(Getopt::Long)
   perl(GraphViz)
   perl(IO::Dir)
   perl(IO::Handle)
   perl(IO::Scalar)
   perl(Log::Log4perl)
   perl(Parse::RecDescent)
   perl(Pod::Usage)
   perl(SQL::Translator)
   perl(SQL::Translator::Diff)
   perl(SQL::Translator::Parser::DB2::Grammar)
   perl(SQL::Translator::Parser::DBI::DB2)
   perl(SQL::Translator::Parser::DBI::MySQL)
   perl(SQL::Translator::Parser::DBI::Oracle)
   perl(SQL::Translator::Parser::DBI::PostgreSQL)
   perl(SQL::Translator::Parser::DBI::SQLServer)
   perl(SQL::Translator::Parser::DBI::SQLite)
   perl(SQL::Translator::Parser::DBI::Sybase)
   perl(SQL::Translator::Parser::MySQL)
   perl(SQL::Translator::Parser::SQLite)
   perl(SQL::Translator::Parser::XML::SQLFairy)
   perl(SQL::Translator::Producer::XML::SQLFairy)
   perl(SQL::Translator::Schema)
   perl(SQL::Translator::Schema::Constants)
   perl(SQL::Translator::Schema::Constraint)
   perl(SQL::Translator::Schema::Field)
   perl(SQL::Translator::Schema::Graph)
   perl(SQL::Translator::Schema::Graph::CompoundEdge)
   perl(SQL::Translator::Schema::Graph::Edge)
   perl(SQL::Translator::Schema::Graph::HyperEdge)
   perl(SQL::Translator::Schema::Graph::Node)
   perl(SQL::Translator::Schema::Graph::Port)
   perl(SQL::Translator::Schema::Index)
   perl(SQL::Translator::Schema::Procedure)
   perl(SQL::Translator::Schema::Table)
   perl(SQL::Translator::Schema::Trigger)
   perl(SQL::Translator::Schema::View)
   perl(SQL::Translator::Utils)
   perl(Spreadsheet::ParseExcel)
   perl(Storable)
   perl(Template)
   perl(Text::ParseWords)
   perl(Text::RecordParser)
   perl(XML::XPath)
   perl(XML::XPath::XMLParser)
   perl(YAML)
   perl(base)
   perl(constant)
   perl(strict)
   perl(vars)
   perl(warnings)
Comment 11 Chris Weyl 2007-10-23 18:18:14 EDT
New Package CVS Request
=======================
Package Name: perl-SQL-Translator
Short Description: Manipulate structured data definitions (SQL and more)
Owners: cweyl
Branches: FC-6 F-7 F-8 devel
InitialCC: perl-sig
Cvsextras Commits:
Comment 12 Kevin Fenzi 2007-10-24 00:32:33 EDT
cvs done.
Comment 13 Chris Weyl 2007-10-24 12:37:32 EDT
Imported and built!  As always, thanks for the review :)
Comment 14 Iain Arnell 2010-09-02 10:35:20 EDT
Package Change Request
======================
Package Name: perl-SQL-Translator
New Branches: el6
Owners: iarnell tremble
Comment 15 Kevin Fenzi 2010-09-02 17:18:35 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.